> ## Documentation Index
> Fetch the complete documentation index at: https://anam.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# delete tool

> Delete a tool. The tool will be soft-deleted and no longer available.



## OpenAPI

````yaml https://api.anam.ai/swagger.json delete /v1/tools/{id}
openapi: 3.1.0
info:
  title: Anam AI API
  version: '1.0'
servers:
  - url: https://api.anam.ai
    description: Anam API
security:
  - BearerAuth: []
tags:
  - name: Sessions
  - name: Avatar Videos
  - name: Meetings
  - name: Personas
  - name: Avatars
  - name: Voices
  - name: Pronunciation Dictionaries
  - name: LLMs
  - name: Knowledge
  - name: Tools
  - name: Share Links
  - name: Engine
paths:
  /v1/tools/{id}:
    delete:
      tags:
        - Tools
      summary: delete tool
      description: Delete a tool. The tool will be soft-deleted and no longer available.
      operationId: deleteTool
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
            format: uuid
          description: Tool ID
          example: 00000000-0000-0000-0000-000000000000
      responses:
        '204':
          description: Successfully deleted tool
        '401':
          description: Unauthorized - Invalid or missing API key
        '403':
          description: >-
            Forbidden - System tools cannot be deleted, or the API key lacks the
            required permission
        '404':
          description: Tool not found
        '500':
          description: Server error
        '503':
          description: >-
            The API key could not be checked because of a temporary server
            problem. The key may be valid; retry after `Retry-After` seconds.
          headers:
            Retry-After:
              description: Seconds to wait before retrying.
              schema:
                type: integer
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceUnavailableError'
components:
  schemas:
    ServiceUnavailableError:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: string
          example: Service temporarily unavailable
        message:
          type: string
          example: We could not check your API key. Please retry shortly.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.